Allow build tarball without requiring Rails environment

06/05/2018 11:54 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category:    

Target version: 1.19.0   

Difficulty:  Fixed in Releases: 1.19.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5285,

https://github.com/theforeman/foreman/p

ull/5721

  

Description

Associated revisions

Revision 3a31019a - 06/19/2018 12:15 PM - Ewoud Kohl van Wijngaarden

Fixes #23825 - Add exporting to Rakefile.dist

The benefit is that you no longer need the full bundle stack installed.

We also output the generated filename for use in scripts.

Revision bdbbecb9 - 06/20/2018 01:20 PM - Ewoud Kohl van Wijngaarden

Refs #23825 - Improve the rake task for tarballs

This introduces the name variable so that's the single line where it

differs from the smart-proxy task.

It also adds a check on the git archive tasks exit status.

History

#1 - 06/05/2018 11:57 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5652 added

#2 - 06/15/2018 11:55 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5285 added

#3 - 06/19/2018 01:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3a31019aa4fbf2a407caeadcfb32e8ee45715486.

#4 - 06/19/2018 01:29 PM - Marek Hulán

- Pull request deleted (https://github.com/theforeman/foreman/pull/5652)

#5 - 06/20/2018 10:38 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5721 added

#6 - 08/29/2018 03:09 PM - Tomer Brisker

05/09/2024 1/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/3a31019aa4fbf2a407caeadcfb32e8ee45715486


- Target version changed from 1.18.0 to 1.19.0

- Triaged set to No

- Fixed in Releases 1.19.0 added
